package com.th.demo.mapping.maint;

import com.th.demo.model.maint.Material;
import com.th.demo.model.maint.Price;
import com.th.demo.model.maint.ProdPrice;

import java.util.List;

public interface PriceMapper {
    int deleteByPrimaryKey(String id);

    int insert(Price record);

    int insertSelective(Price record);

    Price selectByPrimaryKey(String id);

    int updateByPrimaryKeySelective(Price record);

    int updateByPrimaryKey(Price record);

    Price selectByMaterialChangeTime(String id, String belongId);

    List<Price> select(String customerName,  String belongId);

    int selectCntByMaterialChangeTime(String id, int i, String belongId);

    List<ProdPrice> queryPriceNew();
}